Bug 19313 - gcc miscompilation.
Summary: gcc miscompilation.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-18 12:09 UTC by David Woodhouse
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-24 08:28:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tarball containing gcc bug testcase. (4.50 KB, application/octet-stream)
2000-10-18 12:11 UTC, David Woodhouse
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2000:132 normal SHIPPED_LIVE Bug fixing update of GCC 2.96 2000-12-19 05:00:00 UTC

Description David Woodhouse 2000-10-18 12:09:50 UTC
This code:

	cse = Variants[variant] ^ aTable2[variant];
	printf("Variants[%d] = 0x%2.2X, aTable2[%d] = 0x%2.2X\n",
		       variant, Variants[variant], variant, aTable2[variant]);
	printf("cse = 0x%2.2X\n", cse);

This output:

	Variants[4] = 0xCC, aTable2[4] = 0xDC
	cse = 0x73


/me tries to work out how to attach the testcase tarball..... sod it, it's
devserv:~dwmw2/gcc-bug-testcase.tar.gz

Compiling without -fomit-frame-pointer makes it better, as does compiling
with -O2 -fomit-frame-pointer -fschedule-insns. The tarball's makefile uses
the former to produce 'test-good'.

Comment 1 David Woodhouse 2000-10-18 12:11:15 UTC
Created attachment 4327 [details]
tarball containing gcc bug testcase.

Comment 2 Jakub Jelinek 2000-10-20 12:27:15 UTC
Thanks. Verified it happens with mainline CVS as well and is ia32 specific.
Will look into what's going on.

Comment 3 Jakub Jelinek 2000-10-24 08:27:58 UTC
Bernd Schmidt fixed this, the fix is in gcc-2.96-61.


Note You need to log in before you can comment on or make changes to this bug.